QGIS Application - Bug report #12478
Estimated extent of PostGIS layers with mixed case names
2015-03-31 12:59 AM - Luca Sigfrido Percich

Status: Closed

Priority: Low

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:2.8.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20626
Description

When adding a PostGIS layer with a mixed case name, the following error is reported in the log window:

Erroneous query: SELECT st_estimatedextent('loader','AnagraficaStrade’,'geom’) returned 7 [ERROR: relation "loader.anagraficastrade”
does not exist]

Passing st_estimatedextent a double-quoted table name works: SELECT st_estimatedextent('loader’,"" AnagraficaStrade™,'geom’).

After signaling this to the postgis tracker (http://trac.osgeo.org/postgis/ticket/3093), it turns out that this behaviour isn't going to change.

Related issues:
Duplicates QGIS Application - Bug report # 9230: Double quote schema and tabl... Closed 2013-12-18

Associated revisions

Revision 048aff01 - 2015-06-24 06:08 PM - Jiirgen Fischer

use triple quoting with st_estimatedextent in postgres provider and db_manager (fixes #12478)

Revision 8300521e - 2015-07-13 11:14 AM - Jiirgen Fischer

Revert "use triple quoting with st_estimatedextent in postgres provider and db_manager (fixes #12478)"

As it seems to address a meanwhile reverted behavior change in PostGIS 2.1

before it was released (see also https://trac.osgeo.org/postgis/ticket/2834).

This reverts commit 048aff01bb9cf42e2c1c17eb0ddbd81537443e19.

(cherry picked from commit e4410abb93e74cabe85e11f5916e8c07c417e06f)

Revision 48e4fb85 - 2015-07-13 11:15 AM - Jiirgen Fischer

Revert "use triple quoting with st_estimatedextent in postgres provider and db_manager (fixes #12478)"

As it seems to address a meanwhile reverted behavior change in PostGIS 2.1
before it was released (see also https:/trac.osgeo.org/postgis/ticket/2834).

This reverts commit 048aff01bb9cf42e2c1c17eb0ddbd81537443e19.
History

#1 - 2015-03-31 03:53 AM - Giovanni Manghi
- Category set to Data Provider/PostGIS

#2 - 2015-06-24 09:09 AM - Jiirgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"048aff01bb9cf42e2c1c17eb0ddbd81537443e19".
